# Method: projects.locations.instances.patch

- [HTTP request](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/patch#try-it)

Updates the settings of a specific instance.

### HTTP request

`PATCH https://file.googleapis.com/v1/{instance.name=projects/*/locations/*/instances/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `instance.name` | `string` Output only. The resource name of the instance, in the format `projects/{project}/locations/{location}/instances/{instance}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields: - "description" - "fileShares" - "labels" - "performanceConfig" - "deletionProtectionEnabled" - "deletionProtectionReason" This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances#Instance`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/filestore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).